Source: haskell-safe-exceptions
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-exceptions-dev (>= 0.8),
 libghc-exceptions-dev (<< 0.11),
 libghc-exceptions-prof,
 libghc-hspec-dev <!nocheck>,
 libghc-void-dev <!nocheck>,
Build-Depends-Indep:
 ghc-doc,
 libghc-exceptions-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/fpco/safe-exceptions
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-safe-exceptions
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-safe-exceptions]
X-Description: safe, consistent, and easy exception handling
 This package provides additional safety and simplicity versus
 Control.Exception by having its functions recognize the difference
 between synchronous and asynchronous exceptions. As described below,
 synchronous exceptions are treated as recoverable, allowing you to
 catch and handle them as well as clean up after them, whereas
 asynchronous exceptions can only be cleaned up after. In particular,
 this library prevents you from making the following mistakes:
 .
  * Catching and swallowing an asynchronous exception
  * Throwing an asynchronous exception synchronously
  * Throwing a synchronous exception asynchronously
  * Swallowing asynchronous exceptions via failing cleanup handlers

Package: libghc-safe-exceptions-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-safe-exceptions-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-safe-exceptions-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
